Name:           kbdlight
Version:        1.0
Release:        1%{?dist}
Summary:        Automatically adjusts keyboard backlight using ambient light sensor

License:        MIT
URL:            https://example.com
Source0:        %{name}-%{version}.tar.gz

BuildArch:      noarch
Requires:       bash

%description
This is a simple script to automatically adjust the keyboard backlight on systems with an ambient light sensor, such as the Framework 13.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/usr/local/bin
mkdir -p %{buildroot}/usr/lib/systemd/system

install -m 0755 kbdlight.sh %{buildroot}/usr/local/bin/kbdlight
install -m 0644 kbdlight.service %{buildroot}/usr/lib/systemd/system/kbdlight.service
install -m 0644 kbdlight.timer %{buildroot}/usr/lib/systemd/system/kbdlight.timer


%files
/usr/local/bin/kbdlight
/usr/lib/systemd/system/kbdlight.service
/usr/lib/systemd/system/kbdlight.timer

%changelog
* Fri May 16 2025 Your Name <you@example.com> - 1.0-1
- Initial RPM package
